package intrinsic.mx.effects.effectClasses;

public class MoveInstance extends intrinsic.mx.effects.effectClasses.TweenEffectInstance {

	/** Accessors */

	/** Variables */
	public double xFrom;
	public double yFrom;
	public double xBy;
	public double yTo;
	public double yBy;
	public double xTo;
	public intrinsic.mx.effects.Tween tween;
	public intrinsic.Function easingFunction;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public MoveInstance() {
}

public MoveInstance(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void onTweenUpdate(Object arg0);
public native void play();
public native void initEffect(intrinsic.flash.events.Event arg0);
public native void onTweenEnd(Object arg0);

}
